package org.apidesign.apifest08.currency;

/** This is the skeleton class for your API. You need to make it public, so
 * it is accessible to your client code (currently in Task1Test.java) file.
 * <p>
 * Feel free to create additional classes or rename this one, just keep all
 * the API and its implementation in this package. Do not spread it outside
 * to other packages.
 */
public class Convertor {

    public static final int FIRST_TO_SECOND = 1;

    public static final int SECOND_TO_FIRST = 2;

    private double first;

    private double second;

    public Convertor(double first, double second) {
        this.first = first;
        this.second = second;
    }

    public double convertFirstToSecond(double value) {
        return (second / first) * value;
    }

    public double convertSecondToFirst(double value) {
        return (first / second) * value;
    }

    public double convert(double value, int typeOfConvert) {
        if (FIRST_TO_SECOND == typeOfConvert) {
            return convertFirstToSecond(value);
        } else if (SECOND_TO_FIRST == typeOfConvert) {
            return convertSecondToFirst(value);
        }
        throw new IllegalArgumentException("Unkown type of convert.");
    }
}
