package org.apidesign.apifest08.currency;

/**
 * Convertor is an interface reprezenting a convertor between currencies.
 * It's able to convert one currency to the second one and back from the second one
 * to the primary.
 */
public interface Convertor {

    /**
     * Convert amount of primary currency into secondary currency
     *
     * @param amount the amount in the primary currency
     * @return an amount in the secondary currency
     */
    Amount convert(Amount primaryAmount);

    /**
     * Convert amount of secondary currency back into primary currency
     *
     * @param amount the amount in the secondary currency
     * @return an amount in the primary currency
     */
    Amount convertBack(Amount secondaryAmount);
}
